Programmable Devices
CPLDs, FPGAs, SoC FPGAs, Configuration, and Transceivers
20801 Discussions

What is the correct version of Quartus to use the Cyclone 10 GX delevopment kit?

Finees
Beginner
1,714 Views

Hi all

I have a Cyclone 10 GX development kit and I am testing the Board Test System software.
I have Quartus Prime PRO Edition 17.1.240 software. Even the Board Test System software indicates that I should be using version 17.1.0.240.
However, when I try to configure this board with any of the examples the GUI tells me that I need to upgrade to version 16.1.200.
So, does this board only work with Quartus 16.1.200?
Can I use a more updated version of Quartus?

0 Kudos
1 Solution
WZ2
Employee
1,479 Views

Hi there,

You JTAG chain seems wrong, you just need auto detect, The 10M。。。is max 10, and you just can add sof in its flash~ You don't need to add device by yourself~


View solution in original post

0 Kudos
10 Replies
WZ2
Employee
1,689 Views

Hi there,

I am not sure which link you use~

According to this link, it can used by Quartus 22.4~ And i test it, it worked.

https://www.intel.com/content/www/us/en/content-details/649830/intel-cyclone-10-gx-kit-collateral.html

Best regards,

WZ


0 Kudos
WZ2
Employee
1,634 Views

Hi there,

Any other question~


0 Kudos
Finees
Beginner
1,602 Views

Hi WZ2

Thank you for information, however the problem is the same.

From everything that I am seeing, it looks like the board is configured for a development package that is based on Quartus-Ver16.1.1.200 but, the only available development package is based on 17.1.0.240.

Now if I try reprogram the System MAX10, with dev -archive .pof, I would have the version 17 system from development package on the board and it would be compatible. So, when I try to program this MAX10with my USB-Blaster (JTAG port) I get error code 35.

Do you have any recommendation?

0 Kudos
WZ2
Employee
1,585 Views

Hi there,

The web is already update to 22.3, so I cannot find the original copy. So could u please pass the error log or the pic of the error for me~


0 Kudos
WZ2
Employee
1,526 Views

Hi there,

Any update~


0 Kudos
Finees
Beginner
1,495 Views

Hi

This is the message that I get error 35

xxx.png

0 Kudos
WZ2
Employee
1,480 Views

Hi there,

You JTAG chain seems wrong, you just need auto detect, The 10M。。。is max 10, and you just can add sof in its flash~ You don't need to add device by yourself~


0 Kudos
Finees
Beginner
1,349 Views

Thank you, the problem has been solved

0 Kudos
WZ2
Employee
1,371 Views

Hi there,

Do we solve it~


0 Kudos
WZ2
Employee
1,334 Views

Hi there,

I wanted to check if you have any further questions or concerns. If not, I will go ahead and mark this issue as resolved.

Additionally, we would greatly appreciate it if you could take a moment to fill out our survey. Your feedback is valuable to us and helps us improve our support quality.

Thank you for your time and cooperation.

Best regards,

WZ


0 Kudos
Reply